Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

More changes related to Gradle M7 compatibility

  • Loading branch information...
commit 82c0b019841f5935b8674235ac6941fe4e353efc 1 parent 629fc5e
@jeffbrown jeffbrown authored
View
4 grails-bootstrap/src/main/groovy/org/codehaus/groovy/grails/resolve/config/RepositoriesConfigurer.groovy
@@ -86,8 +86,8 @@ class RepositoriesConfigurer extends AbstractDependencyManagementConfigurer {
fileSystemResolver.local = true
fileSystemResolver.name = "grailsHome"
fileSystemResolver.addIvyPattern("${grailsHome}/lib/[organisation]/[module]/ivy-[revision](-[classifier]).xml")
- fileSystemResolver.addArtifactPattern "${grailsHome}/lib/[organisation]/[module]/jars/[module]-[revision](-[classifier]).[ext]"
- fileSystemResolver.addArtifactPattern "${grailsHome}/lib/[organisation]/[module]/bundles/[module]-[revision](-[classifier]).[ext]"
+ fileSystemResolver.addArtifactPattern "${grailsHome}/lib/[organisation]/[module]/[revision]/jar/[module]-[revision](-[classifier]).[ext]"
+ fileSystemResolver.addArtifactPattern "${grailsHome}/lib/[organisation]/[module]/[revision]/bundle/[module]-[revision](-[classifier]).[ext]"
fileSystemResolver.settings = dependencyManager.ivySettings
addToChainResolver(fileSystemResolver)
View
4 grails-resources/src/grails/home/bash/startGrails
@@ -118,7 +118,7 @@ fi
if [ -z "$STARTER_CONF" ]; then
STARTER_CONF="$GRAILS_HOME/conf/groovy-starter.conf"
fi
-STARTER_CLASSPATH="$GRAILS_HOME/lib/org.codehaus.groovy/groovy-all/jars/groovy-all-@groovy.version@.jar:$GRAILS_HOME/dist/grails-bootstrap-@grails.version@.jar"
+STARTER_CLASSPATH="$GRAILS_HOME/lib/org.codehaus.groovy/groovy-all/@groovy.version@/jar/groovy-all-@groovy.version@.jar:$GRAILS_HOME/dist/grails-bootstrap-@grails.version@.jar"
# Allow access to Cocoa classes on OS X
if $darwin; then
@@ -179,7 +179,7 @@ if $cygwin ; then
AGENT_GRAILS_HOME=`cygpath --windows "$GRAILS_HOME"`
fi
# Process JVM args
-AGENT_STRING="-javaagent:$AGENT_GRAILS_HOME/lib/com.springsource.springloaded/springloaded-core/jars/springloaded-core-@spring.loaded.version@.jar -noverify -Dspringloaded=profile=grails"
+AGENT_STRING="-javaagent:$AGENT_GRAILS_HOME/lib/com.springsource.springloaded/springloaded-core/@spring.loaded.version@/jar/springloaded-core-@spring.loaded.version@.jar -noverify -Dspringloaded=profile=grails"
CMD_LINE_ARGS=""
DISABLE_RELOADING=false
View
4 grails-resources/src/grails/home/bash/startGrails.bat
@@ -57,7 +57,7 @@ if "%GRAILS_HOME%" == "" set GRAILS_HOME=%DIRNAME%..
:init
-set AGENT_STRING=-javaagent:%GRAILS_HOME:\=/%/lib/com.springsource.springloaded/springloaded-core/jars/springloaded-core-@spring.loaded.version@.jar -noverify -Dspringloaded=profile=grails
+set AGENT_STRING=-javaagent:%GRAILS_HOME:\=/%/lib/com.springsource.springloaded/springloaded-core/@spring.loaded.version@/jar/springloaded-core-@spring.loaded.version@.jar -noverify -Dspringloaded=profile=grails
set DISABLE_RELOADING=
if "%GRAILS_OPTS%" == "" set GRAILS_OPTS=-server -Xmx768M -Xms768M -XX:PermSize=256m -XX:MaxPermSize=256m -Dfile.encoding=UTF-8
@@ -122,7 +122,7 @@ set CMD_LINE_ARGS=%$
:execute
@rem Setup the command line
-set STARTER_CLASSPATH=%GRAILS_HOME%\lib\org.codehaus.groovy\groovy-all\jars\groovy-all-@groovy.version@.jar;%GRAILS_HOME%\dist\grails-bootstrap-@grails.version@.jar
+set STARTER_CLASSPATH=%GRAILS_HOME%\lib\org.codehaus.groovy\groovy-all\@groovy.version@\jar\groovy-all-@groovy.version@.jar;%GRAILS_HOME%\dist\grails-bootstrap-@grails.version@.jar
if exist "%USERPROFILE%/.groovy/init.bat" call "%USERPROFILE%/.groovy/init.bat"
View
16 grails-resources/src/grails/home/conf/groovy-starter.conf
@@ -10,12 +10,12 @@
##
# Load required libraries
load ${grails.home}/dist/grails-bootstrap-@grails.version@.jar
- load ${grails.home}/lib/jline/jline/jars/jline-@jline.version@.jar
- load ${grails.home}/lib/org.fusesource.jansi/jansi/jars/jansi-@jansi.version@.jar
- load ${grails.home}/lib/net.java.dev.jna/jna/jars/jna-@jna.version@.jar
- load ${grails.home}/lib/commons-cli/commons-cli/jars/commons-cli-@commons.cli.version@.jar
- load ${grails.home}/lib/org.codehaus.groovy/groovy-all/jars/groovy-all-@groovy.version@.jar
- load ${grails.home}/lib/org.apache.ivy/ivy/jars/ivy-@ivy.version@.jar
- load ${grails.home}/lib/org.apache.ant/ant/jars/ant-@ant.version@.jar
- load ${grails.home}/lib/org.codehaus.gant/gant_groovy1.8/jars/gant_groovy1.8-@gant.version@.jar
+ load ${grails.home}/lib/jline/jline/@jline.version@/jar/jline-@jline.version@.jar
+ load ${grails.home}/lib/org.fusesource.jansi/jansi/@jansi.version@/jar/jansi-@jansi.version@.jar
+ load ${grails.home}/lib/net.java.dev.jna/jna/@jna.version@/jar/jna-@jna.version@.jar
+ load ${grails.home}/lib/commons-cli/commons-cli/@commons.cli.version@/jar/commons-cli-@commons.cli.version@.jar
+ load ${grails.home}/lib/org.codehaus.groovy/groovy-all/@groovy.version@/jar/groovy-all-@groovy.version@.jar
+ load ${grails.home}/lib/org.apache.ivy/ivy/@ivy.version@/jar/ivy-@ivy.version@.jar
+ load ${grails.home}/lib/org.apache.ant/ant/@ant.version@/jar/ant-@ant.version@.jar
+ load ${grails.home}/lib/org.codehaus.gant/gant_groovy1.8/@gant.version@/jar/gant_groovy1.8-@gant.version@.jar
load ${tools.jar}
Please sign in to comment.
Something went wrong with that request. Please try again.